# AbstractTransformer.IGroupify (ARX Developer Documentation)

org.deidentifier.arx.framework.check.transformer

## Interface AbstractTransformer.IGroupify

- All Known Implementing Classes:
    AbstractTransformer.GroupifyCounter, AbstractTransformer.GroupifyCounterDistribution, AbstractTransformer.GroupifyCounterSecondaryCounter, AbstractTransformer.GroupifyCounterSecondaryCounterDistribution, AbstractTransformer.GroupifyDistribution
  Enclosing class:
    AbstractTransformer

      protected static interface AbstractTransformer.IGroupify

  Interface for delegates to the groupify .

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callAll(int[] outtuple, int i)` Mode ALL.
    `void` | `callGroupify(int[] outtuple, HashGroupifyEntry element)` Mode GROUPIFY.
    `void` | `callSnapshot(int[] outtuple, int[] snapshot, int i)` Mode SNAPSHOT.

- - ### Method Detail

    - #### callAll

          void callAll(int[] outtuple,
                     int i)

      Mode ALL.
      Parameters:
        `outtuple` -
        `i` -

    - #### callGroupify

          void callGroupify(int[] outtuple,
                          HashGroupifyEntry element)

      Mode GROUPIFY.
      Parameters:
        `outtuple` -
        `element` -

    - #### callSnapshot

          void callSnapshot(int[] outtuple,
                          int[] snapshot,
                          int i)

      Mode SNAPSHOT.
      Parameters:
        `outtuple` -
        `snapshot` -
        `i` -